#!/bin/bash
# ver 0.4

# make sure, you insert the FULL-path to your folders
#e.g. /media/9394-9348-abcd-9679/moviedump/whatever

# Folder to search in
FOLDER="/video/movies"

# Folders to place in
FOLDER_U="/video/u"
FOLDER_PG="/video/pg"
FOLDER_12="/video/12"
FOLDER_15="/video/15"
FOLDER_18="/video/18"

find "$FOLDER" -type d | while read D ; do

	if [ "$D" = "$FOLDER" ]
	then
		echo "Skip root folder"
	else
		find "$D" -type f -name *.nfo | while read Q ; do
			
			echo "---> Working on '$Q' in '$D' <---"
			
			if grep "UK:18" "$Q"; then
				mv "$D" "$FOLDER_18"
				echo "moving '$D' to '$FOLDER_18'"
			elif grep "UK:15" "$Q"; then
				mv "$D" "$FOLDER_15"
				echo "moving '$D' to '$FOLDER_15'"
			elif grep "UK:12" "$Q"; then
				mv "$D" "$FOLDER_12"
				echo "moving '$D' to '$FOLDER_12'"
			elif grep "UK:PG" "$Q"; then
				mv "$D" "$FOLDER_PG"
				echo "moving '$D' to '$FOLDER_PG'"
			elif grep "UK:U" "$Q"; then
				mv "$D" "$FOLDER_U"
				echo "moving '$D' to '$FOLDER_U'"
			else
				echo "no rating found, skipping file"
			fi

		done
	fi
done